List API keys
Returns a cursor-paginated page of stored API keys for the authenticated organization. Key values are redacted — only the last four characters are returned.
Returns a cursor-paginated page of stored API keys for the authenticated organization. Key values are redacted — only the last four characters are returned.
Authorization
bearerAuth AuthorizationBearer <token>
API key
In: header
Query Parameters
limit?integer
Maximum number of items to return. Defaults to 50, max 200.
Range
1 <= value <= 200cursor?string
Opaque pagination cursor. Pass back the next_cursor value from a previous response.
Length
1 <= lengthResponse Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/api-keys" \ -H "Authorization: Bearer $SPEECHBASE_API_KEY"{
"data": [
{
"providerId": "string",
"lastFour": "string",
"updatedAt": "string"
}
],
"next_cursor": "string",
"has_more": true,
"limit": 0
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}